Subject: Re: Question on QSPAN Driver

From: Steve Rossi <[email-masked]>
Date: Mon, 20 Mar 2000 13:44:35 -0600

Dan Malek wrote:

>
> > So here are my questions:
> > 1. Why doesn't qspan_init ever get called before the PCI bus is scanned?
>
> That is the job of something during the boot process before the Linux
> kernel is started.
>
> > 2. Should the pci_scanner function in arch/ppc/mbxboot/pci.c be called
> > in
> > place of the normal pci_scan_bus() function in drivers/pci/pci.c?
>
> No, those functions are very different.  The functions in 'mbxboot'
> are used to initialize and map the PCI bus.  The functions in the
> Linux kernel are discovery functions.

Ok, now this is making a whole lot more sense to me, so where would
be an appropriate place to call qspan_init and pci_scanner from?  I
understand it should happen before the kernel loads, is it something
that would make sense to put in embed_config.c? Is there a more
appropriate place to put it? I can't find where (or if) it happens for
the mbx board.

Thanks!
Steve

--
-------------------------------------------------------
Steven K. Rossi                     [email-masked]
Staff Engineer
Multimedia Communications Research Laboratory
Motorola Labs
-------------------------------------------------------

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/